GET
/
v2.0
/extensions
/{extensionId}

### Try it

Get an Extension

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	
	url := "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Example Responses

#### Successful Response

```json
{
  "name": "New Extension",
  "label": "New Extension",
  "version": "1.0.0",
  "imageUrlToken": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "author": "<string>",
  "extensionType": "nodes",
  "trustedCode": true,
  "nodes": {
    "type": "<string>",
    "parentType": "<string>",
    "defaultLabel": "<string>",
    "summary": "<string>",
    "extension": "<string>",
    "extensionImg": "<string>",
    "appearance": {
      "logo": "<string>",
      "textColor": "blue",
      "contrastTextColor": "blue",
      "color": "red"
    },
    "behavior": {
      "stopping": true,
      "entrypoint": true
    },
    "constraints": {
      "editable": true,
      "deletable": true,
      "creatable": true,
      "collapsable": true,
      "childFlowCreatable": true,
      "movable": true,
      "placement": {
        "predecessor": {
          "whitelist": [
            "<string>"
          ],
          "blacklist": [
            "<string>"
          ]
        },
        "successor": {
          "whitelist": [
            "<string>"
          ],
          "blacklist": [
            "<string>"
          ]
        },
        "children": {
          "whitelist": [
            "<string>"
          ],
          "blacklist": [
            "<string>"
          ]
        }
      }
    },
    "dependencies": {
      "children": [
        "<string>"
      ]
    },
    "fields": [
      {
        "key": "<string>",
        "label": "<string>",
        "defaultValue": "<unknown>"
      }
    ],
    "previews": [
      {
        "key": "<string>"
      }
    ],
    "tokens": [
      {
        "label": "word count",
        "script": "ci.text.split(' ').length",
        "type": "input"
      }
    ],
    "sections": [
      {
        "key": "<string>",
        "value": "<unknown>",
        "negate": true
      }
    ],
    "form": [
      {
        "key": "<string>"
      }
    ]
  },
  "connections": {
    "extension": "azure",
    "type": "oauth-2",
    "label": "OAuth-2",
    "fields": [
      {
        "fieldName": "client_secret"
      }
    ],
    "_id": "<string>",
    "createdAt": 1694518620,
    "lastChanged": 1694518620,
    "createdBy": "<string>",
    "lastChangedBy": "<string>"
  },
  "knowledge": {
    "type": "<string>",
    "label": "<string>",
    "summary": "<string>",
    "fields": [
      {
        "key": "<string>",
        "label": "<string>",
        "defaultValue": "<unknown>"
      }
    ],
    "sections": [
      {
        "key": "<string>",
        "value": "<unknown>",
        "negate": true
      }
    ],
    "form": [
      {
        "key": "<string>"
      }
    ]
  },
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

#### Error Responses

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Parameters

- **APIKeyHeader**: Supply the API Key in the HTTP-Header.
- **Accept Header**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.
- **Path Parameters**: 
  - **extensionId**: The Id of the Extension (required, string length: 24, pattern: `^[a-z0-9]{24}$`).

### Response

**200** - Returns Extension Object

The `IEntityMeta` defines meta information about every entity within the system.

#### _id
- Required string length: `24`
- Pattern: `^[a-z0-9]{24}$`

#### Timestamps
- `createdAt`: Unix timestamp (required range: `0 <= x <= 2147483647`).
- `lastChanged`: Unix timestamp (required range: `0 <= x <= 2147483647`).

#### User Information
- `createdBy`: Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.
- `lastChangedBy`: Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.
